#!/bin/sh
# This script checks if TrackManiaServer is running and if
# not, it exits. If so, it then checks to see if Aseco is running.
# If not, it starts it. Use this script in a 15 minute
# cron job to restart Aseco automatically.
# Use at your own risk.
# www.tm-slowpokes.com, 2006 - updated Sept 1, 2007
PATH=/usr/bin:/bin ;
echo "Checking Aseco" ;  
ps ax | grep TRackmaniaServer | grep -v grep >/dev/null 2>/dev/null
if [ "$?" -ne "1" ]; then
echo "Game Server Running"
else echo "Game Server Down"
exit 1
fi ;
ps ax | grep aSeco |grep -v grep >/dev/null 2>/dev/null
if [ "$?" -ne "1" ]; then
echo "It's up, nothing to do"
else echo "Starting Aseco/Rasp" ;
cd /home/newuser/StadiumTrackmaniaServer/new_aseco ;
php aSeco.php TMU </dev/null >aseco.log 2>&1 &
fi
exit 0



 
